
Redmine - Defect #38310

JavaScript source CDATA printed in "My account" view

2023-02-28 13:54 - Albrecht Dreß

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.4

Description

In the My account view, the source of an embedded Javascript is printed:

 Bildschirmfoto_2023-02-28_13-44-35.png 

If I use the Chromium DevTool to disable the display: block style, the strange line disappears, but the UI is still functional.  Any way to

fix this in the code?

My configuration (basically Redmine 5 on Debian Bookworm aka testing):

Environment:

  Redmine version                5.0.4.stable

  Ruby version                   3.1.2-p20 (2022-04-12) [x86_64-linux-gnu]

  Rails version                  6.1.7

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Default

 Thanks,

Albrecht.

History

#1 - 2023-03-11 21:09 - Albrecht Dreß

- Status changed from New to Resolved

The effect is actually caused by the View Customize plugin – a minor tweak in a stylesheet fixes the issue.  Sorry for the noise…

#2 - 2023-03-13 02:53 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Albrecht Dreß wrote:

The effect is actually caused by the View Customize plugin – a minor tweak in a stylesheet fixes the issue.  Sorry for the noise…

 Thank you for your report. Closing.
